ru.bitel.bgbilling.plugins.cashcheck.common

## Class Check.CheckLine

- java.lang.Object
- - ru.bitel.bgbilling.plugins.cashcheck.common.Check.CheckLine

- Enclosing class:
    Check

      public static class Check.CheckLine
      extends java.lang.Object

  Класс "линия чека", либо продажа(позиция), либо просто строка (когда сумма и отдел равны -1) В сервере печати используется так же: Строка чека. Название позиции, сумма, отдел. Может использоваться в драйверах для представления одной позиции в чеке.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.Integer,java.lang.Object>` | `customTags`
    `int` | `dep`
    `java.lang.Integer` | `payMethod`
    `java.lang.Integer` | `payObject`
    `java.math.BigDecimal` | `summa`
    `java.lang.Integer` | `tax`
    `java.lang.String` | `text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckLine(java.math.BigDecimal summa, java.lang.String text, int dep)`
    `CheckLine(java.math.BigDecimal summa, java.lang.String text, int dep, java.lang.Integer payMethod, java.lang.Integer payObject)`
    `CheckLine(java.math.BigDecimal summa, java.lang.String text, int dep, java.lang.Integer payMethod, java.lang.Integer payObject, java.lang.Integer tax)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDep()`
    `java.math.BigDecimal` | `getSumma()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### summa

          public java.math.BigDecimal summa

    - #### text

          public java.lang.String text

    - #### dep

          public int dep

    - #### payMethod

          public java.lang.Integer payMethod

    - #### payObject

          public java.lang.Integer payObject

    - #### tax

          public java.lang.Integer tax

    - #### customTags

          public java.util.Map<java.lang.Integer,java.lang.Object> customTags

  - ### Constructor Detail

    - #### CheckLine

          public CheckLine(java.math.BigDecimal summa,
                           java.lang.String text,
                           int dep)

    - #### CheckLine

          public CheckLine(java.math.BigDecimal summa,
                           java.lang.String text,
                           int dep,
                           java.lang.Integer payMethod,
                           java.lang.Integer payObject)

    - #### CheckLine

          public CheckLine(java.math.BigDecimal summa,
                           java.lang.String text,
                           int dep,
                           java.lang.Integer payMethod,
                           java.lang.Integer payObject,
                           java.lang.Integer tax)

  - ### Method Detail

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### getText

          public java.lang.String getText()

    - #### getDep

          public int getDep()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`